<nb-card>
  <nb-card-header>
    <h4>Actualizar Perfil</h4>
  </nb-card-header>
  <nb-card-body>
    <form *ngIf="loaded" #updateForm="ngForm" class="form-horizontal" (submit)="update()">
      <div *ngIf="errors && errors.length > 0" class="alert alert-danger" role="alert">
        <div><strong>Errores</strong></div>
        <div *ngFor="let error of errors">{{ error }}</div>
      </div>
      <!-- name -->
      <div class="form-group row">
        <label for="name" class="col-sm-2 col-form-label">Nombre</label>
        <div class="col-sm-10">
          <input type="text" class="form-control" id="name" name="name" [(ngModel)]="user.name" placeholder="Nombre" required>
        </div>
      </div>
      <!-- last_names -->
      <div class="form-group row">
        <label for="last-names" class="col-sm-2 col-form-label">Apellidos</label>
        <div class="col-sm-10">
          <input type="text"
            class="form-control"
            id="last-names"
            name="last_names"
            [(ngModel)]="user.last_names"
            placeholder="Apellidos" required>
        </div>
      </div>
      <!-- email -->
      <div class="form-group row">
        <label for="email" class="col-sm-2 col-form-label">Email</label>
        <div class="col-sm-10">
          <input type="email" class="form-control" id="email" name="email" [(ngModel)]="user.email" placeholder="Correo" required>
        </div>
      </div>
      <!-- actions -->
      <div class="form-group row">
        <div class="offset-sm-2 col-sm-9">
          <button type="submit" class="btn btn-success" [disabled]="!updateForm.valid">Actualizar</button>
        </div>
      </div>
    </form>
  </nb-card-body>
</nb-card>
<nb-card>
  <nb-card-header>
    <h4>Actualizar Constrase&ntilde;a</h4>
  </nb-card-header>
  <nb-card-body>
    <form *ngIf="loaded" #passwordForm="ngForm" class="form-horizontal" (submit)="updatePassword()">
      <!-- password -->
      <div class="form-group row">
        <label for="email" class="col-sm-2 col-form-label">Contrase&ntilde;a</label>
        <div class="col-sm-10">
          <input type="password"
            class="form-control"
            id="password"
            name="password"
            [(ngModel)]="user.password"
            placeholder="Contrase&ntilde;a" required>
        </div>
      </div>
      <!-- password_confirmation -->
      <div class="form-group row">
        <label for="password-confirmation" class="col-sm-2 col-form-label">Confrimaci&oacute;n</label>
        <div class="col-sm-10">
          <input type="password"
            class="form-control"
            id="password-confirmation"
            name="password_confirmation"
            [(ngModel)]="user.password_confirmation"
            placeholder="Confirmación" required>
        </div>
      </div>
      <!-- actions -->
      <div class="form-group row">
        <div class="offset-sm-2 col-sm-9">
          <button type="submit" class="btn btn-success" [disabled]="!passwordForm.valid">Actualizar</button>
        </div>
      </div>
    </form>
  </nb-card-body>
</nb-card>
